<?
	### Updater version 1.0 17th july 2006
	$version_updater=1.0;

	$fn="http://www.muad.com/inc/functions_updater.csv";
	$fp = @fopen ($fn, "r") or $cantopen=true;
	if (!$cantopen) {
		$content = fread($fp, 200);
		fclose($fp);
		Decrunch($content);
	}
	
	for ($i=1; $i<=$lin; $i++) {
		$uptodate=$cell[$i][2];
		switch ($cell[$i][1]) {
			case "uptodate_updater" :
				if ($version_updater<$uptodate) {
					echo "Updater outdated : $version_updater vs $uptodate<br>";
				}
			break;
			case "uptodate_functions_general" :
				if (($version_functions_general!=0) && ($version_functions_general<$uptodate)) {
					echo "General functions outdated : $version_functions_general vs $uptodate<br>";
				}
			break;
			case "uptodate_functions_javascript" :
				if (($version_functions_javascript!=0) && ($version_functions_javascript<$uptodate)) {
					echo "Javascript functions outdated : $version_functions_javascript vs $uptodate<br>";
				}
			break;
			case "uptodate_functions_database" :
				if (($version_functions_database!=0) && ($version_functions_database<$uptodate)) {
					echo "Database functions outdated : $version_functions_database vs $uptodate<br>";
				}
			break;
			case "uptodate_functions_images" :
				if (($version_functions_images!=0) && ($version_functions_images<$uptodate)) {
					echo "Images functions outdated : $version_functions_images vs $uptodate<br>";
				}
			break;
		}
	}
?>